DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Attributes | List of all members
DcmQueryRetrieveConfigAEEntry Struct Reference

this class describes configuration settings for a single storage area More...

## Public Attributes
const char * | ApplicationTitle
| application entity title
const char * | StorageArea
| name of storage area
const char * | Access
| access type (read-only, read/write)
DcmQueryRetrieveConfigQuota * | StorageQuota
| quota setting for this storage area
int | noOfPeers
| number of peer entries
DcmQueryRetrieveConfigPeer * | Peers
| array of peer entries describing remote SCP peers

## Detailed Description

this class describes configuration settings for a single storage area

## Member Data Documentation

## ◆ Access

const char* DcmQueryRetrieveConfigAEEntry::Access

access type (read-only, read/write)

## ◆ ApplicationTitle

const char* DcmQueryRetrieveConfigAEEntry::ApplicationTitle

application entity title

## ◆ noOfPeers

int DcmQueryRetrieveConfigAEEntry::noOfPeers

number of peer entries

## ◆ Peers

DcmQueryRetrieveConfigPeer* DcmQueryRetrieveConfigAEEntry::Peers

array of peer entries describing remote SCP peers

## ◆ StorageArea

const char* DcmQueryRetrieveConfigAEEntry::StorageArea

name of storage area

## ◆ StorageQuota

DcmQueryRetrieveConfigQuota* DcmQueryRetrieveConfigAEEntry::StorageQuota

quota setting for this storage area

The documentation for this struct was generated from the following file:

- dcmqrdb/include/dcmtk/dcmqrdb/dcmqrcnf.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2